
.content > p{
    color: var(--mywhite);
    text-align: justify;
    width: 30%;
    margin: auto auto;
    font-size: 1.5em;
    margin-top: 2em;
}

.content > button{
    position: relative;
    display: flex;
    flex-direction: column;
    background: var(--myblue);
    border: solid var(--mypurple);
    margin: 2em auto;
    width: 50%;
    border-radius: 2em;

    transition: all 1250ms cubic-bezier(0.19, 1, 0.22, 1);
}

.content > button > p{
    font-size: 2em;
    font-family: var(--TitleFont);
    color: var(--mywhite);
    text-align: center;
    margin: 1em auto;
}

.content > button:hover{
    cursor: pointer;
    border: 4px solid var(--fluxcolor);
    box-shadow: inset 0 0 20px var(--smoothflux), 0 0 20px var(--smoothflux);
    outline-color: var(--fluxcolor);
    outline-offset: 15px;
    text-shadow: 2px 2px 4px var(--smoothflux); 
}


.answers{
    margin-top: 0.8em;
    transition: all 1250ms;
}

.answer:hover{
    border-bottom: solid var(--smoothflux) 2px;
}

.answers > input{
    width: auto;
    background: none;
    border: none;
    transition: all 1250ms cubic-bezier(0.19, 1, 0.22, 1);
    flex-wrap: wrap-reverse;
}

.bouton-valider{
    display: flex;
    width: 20%;
    margin: 4em auto auto 25%;
    background: none;
    border: var(--mypurple) solid 3px;
    border-radius: 2px;
    color: var(--mywhite);
    font-size: 2em;
    font-family: var(--TitleFont);
    text-align: center;
    transition: all 1250ms cubic-bezier(0.19, 1, 0.22, 1);
}

.bouton-valider:hover{
    cursor: pointer;
    border: 4px solid var(--fluxcolor);
    box-shadow: inset 0 0 20px var(--smoothflux), 0 0 20px var(--smoothflux);
    outline-color: var(--fluxcolor);
    outline-offset: 15px;
    text-shadow: 2px 2px 4px var(--smoothflux); 
    color: var(--myblack);
}

.certificat{
    display: flex;
    width: 60%;
    margin: 2em auto;
    color: var(--mywhite);
    font-size: 1.5em;
}

#text{
    display: none;
}

.logo_flux1{
    filter: invert(50%) sepia(85%) saturate(299%) hue-rotate(5deg) brightness(86%) contrast(88%);
    transition: 400ms all;
    z-index: 100;
    width: 50%;
    margin: 1em auto 1em auto;
}

#start_button:hover > .logo_flux1{
    filter: invert(93%) sepia(45%) saturate(4948%) hue-rotate(49deg) brightness(104%) contrast(100%);
} 

#envoyer:hover > .logo_flux1{
    filter: invert(93%) sepia(45%) saturate(4948%) hue-rotate(49deg) brightness(104%) contrast(100%);

}

.logo_flux2{
    position: absolute;
    left: 25%;
    top: 6em;
    opacity: 0;
    transition: 400ms all;
    width: 50%;
    margin: 1em auto 1em auto;
}

#start_button:hover > .logo_flux2{
    opacity: 80%;
}

#envoyer:hover > .logo_flux2{
    opacity: 80%;
}

.question{
    color: var(--mywhite);
    width: 50%;
    margin: auto auto;
    font-size: 1.5em;
    margin-top: 2em;
    margin-bottom: 2em;
    text-align: center;
    font-family: "Yusei Magic";
    font-weight: bold;
}

.choix{
    display: flex;
    flex-direction: column;
    width: 40%;
    margin: 2em auto auto auto;
}

.choix > label{
    display: flex;
    padding: 0.5em ;
    border: solid 2px var(--mypurple);
    border-radius: 1em;
    transition: all 600ms;
}

.reponse{
    font-size: 1.2em;
    color: var(--mywhite);
    text-align: left;
    font-family: "Yusei Magic";
    transition: all 600ms;
    margin-left: 2em;

}

.choix > label:hover{
    cursor: pointer;
    border: 2px solid var(--fluxcolor);
    box-shadow: inset 0 0 20px var(--smoothflux), 0 0 20px var(--smoothflux);
    outline-color: var(--fluxcolor);
    outline-offset: 15px;
    text-shadow: 2px 2px 4px var(--smoothflux); 
}

.answers{
    position: relative;
}

.green-checked{
    background: var(--smoothflux);
    position: absolute;
    z-index: -1;
    width: 100%;
    height: 100%;
    border-radius: 0.8em;
    left: 0;
    top: 0;
    opacity: 0%;

    box-shadow: inset 0 0 20px var(--smoothflux), 0 0 20px var(--smoothflux);
    outline-color: var(--fluxcolor);
    outline-offset: 15px;
    text-shadow: 2px 2px 4px var(--smoothflux); 
    transition: all 600ms;
}

.input-reponse{
    appearance: none;
    -webkit-appearance: none; /* Pour Safari et d'anciens navigateurs Chrome */
    -moz-appearance: none;    /* Pour Firefox */
    outline: none;            /* Pour retirer les contours par défaut lors de la sélection */
    box-shadow: none;    
}

.input-reponse:checked + .green-checked{
    /* Vos styles pour l'input lorsqu'il est coché */
    opacity: 60%;
}

.next{
    padding: 1em;
    margin-left: 35%;
    margin-top: 1.5em;
    color: var(--mywhite);
    font-family: "Yusei Magic";
    font-weight: bold;
    border: 2px solid var(--mypurple);
    background: transparent;
    transition: 600ms;
    border-radius: 1em;
    font-size: 1em;
}

.next:hover{
    cursor: pointer;
    border: 2px solid var(--fluxcolor);
    box-shadow: inset 0 0 20px var(--smoothflux), 0 0 20px var(--smoothflux);
    outline-color: var(--fluxcolor);
    outline-offset: 15px;
    text-shadow: 2px 2px 4px var(--smoothflux); 
}

.questions{
    display: none;
}

#choississez{
    display: none;
    position: absolute;
    color: var(--smoothflux);
    text-align: center;
    font-family: 'Yusei Magic';
    font-size: 5em;
    width: 100%;
    left: 0;
    top: 40%;
    z-index: 100;    
}

#blackscreen{
    display: none;
    z-index: 99;
    position: absolute;
    width: 100%;
    height: 100%;

    left: 0;
    top:0;
    background: rgb(14,14,14);
    background: radial-gradient(circle, rgba(14,14,14,1) 0%, rgba(0,0,0,0) 100%);
}

.progress-container {
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 0.6em;
    background-color: #000000;
}

.progress-bar {
    height: 100%;
    width: 0%; /* Définit le départ de la progression. À 0%, la barre est vide. */
    background-color: var(--smoothflux);
    transition: width 0.3s; /* Animation fluide lors du changement de la largeur */
}

.envoyer{
    display: none;
    cursor: pointer;
    background: none;
    border: none;
    position: relative;
    flex-direction: column;
    margin: 2em auto;
    width: 50%;
    border-radius: 2em;

    transition: all 1250ms cubic-bezier(0.19, 1, 0.22, 1);
}

.logo_flux3{
    margin-top: -5.2em!important;
    width: 70%!important;
    left: 15%!important;
}

@media screen and (max-width: 500px) {

    .content > p{
        width: 95%;
    }

    .content > button{
        width: 95%;
    }


    #quizz > form > p{
        width: 95%;
    }
    
    .choix {
        width: 95%;
        margin-left: 2.5%;
    }
}